# Checklist

A web based app to add and check items off a list, which outputs a page that can be set up as a browser source in OBS.

## Setup

Create your venv, we'll call it ".venv", and activate it.

```
pip install --upgrade pip
pip install .
```

## Run with:

```
.venv/bin/python -m gunicorn -b 0.0.0.0:<portnumber> -w 1 'app:app'
```

Of course, if you prefer to run your flask apps with something else, go for it.

## OBS (or whatever streaming software you're using)

Create a browser source, and point it to:
```
http://localhost:<portnumber>/list
```
Be sure to check the box for "Refresh browser when scene becomes active"

To manage your check list, go to:

```
http://localhost:<portnumber>
```

I've included "ListBackground.png" as an opaque background for your list, in OBS, but of course use whatever you like.
